parser_t Struct Reference

## Data Fields

xmpp_ctx_t * | ctx
XML_Parser | expat
parser_start_callback | startcb
parser_end_callback | endcb
parser_stanza_callback | stanzacb
void * | userdata
int | depth
xmpp_stanza_t * | stanza
char * | inner_text
int | inner_text_size
int | inner_text_used
xmlParserCtxtPtr | xmlctx
xmlSAXHandler | handlers

## Field Documentation

## ctx

xmpp_ctx_t * parser_t::ctx

## expat

XML_Parser parser_t::expat

## startcb

parser_start_callback parser_t::startcb

## endcb

parser_end_callback parser_t::endcb

## stanzacb

parser_stanza_callback parser_t::stanzacb

## userdata

void * parser_t::userdata

## depth

int parser_t::depth

## stanza

xmpp_stanza_t * parser_t::stanza

## inner_text

char* parser_t::inner_text

## inner_text_size

int parser_t::inner_text_size

## inner_text_used

int parser_t::inner_text_used

## xmlctx

xmlParserCtxtPtr parser_t::xmlctx

## handlers

xmlSAXHandler parser_t::handlers

The documentation for this struct was generated from the following files:

- parser_expat.c
- parser_libxml2.c